<?php
session_start();
	use PHPMailer\PHPMailer\PHPMailer;
	use PHPMailer\PHPMailer\Exception;

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
set_time_limit(3000);
include ("fphp.php");
include ("calendario/calendario.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per='';
///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
$accion=$_REQUEST["accion"];
$detalle=$_REQUEST["detalle"];
$fechaUtil=$_REQUEST["fecha"];
$nominaUtil=$_REQUEST["nomina"];
$usuario = $_SESSION['usuario_validar'];
$nombre_usuario = $_SESSION['nombre_validar']; //Nombre del usuario que aprueba
//Entrada del campo de la fecha del c�lculo: Periodo: dd-mm-aaaa al dd-mm-aaaa ($detalle)
//Long. 33
/*
        $d_in=substr($detalle,9,2);
        $m_in=substr($detalle,12,2);
        $a_in=substr($detalle,15,4);
 
       $d_fi=substr($detalle,23,2);
       $m_fi=substr($detalle,26,2);
       $a_fi=substr($detalle,29,4);
   
   */
  $d_in=intval(substr($detalle,9,2));
  $m_in= intval(substr($detalle,12,2));
  $a_in= intval(substr($detalle,15,4));

  $d_fi= intval(substr($detalle,23,2));
  $m_fi= intval(substr($detalle,26,2));
  $a_fi= intval(substr($detalle,29,4));

//Ajuste de la entrada para comparar con el campo desperiodo de hist�rico que est� como: Periodo: aaaa-mm-dd- al aaaa-mm-dd 

//$f_periodo=$a_in.'-'.$m_in.'-'.$d_in.' al '.$a_fi.'-'.$m_fi.'-'.$d_fi;

	
//print_r($m_in);die();
//$f_ini=substr($detalle,10,19);
//$ini_pe=date_format(substr($f_ini,10,19)'Y-m-d');
//print_r($ini_pe);die();


//=============================================================================== grabar cierre de utilidades
if ($accion==2 ) {
	$query = "delete from utilidades where id='".$_SESSION['id_validar']."' and detalle='".$detalle."' AND fecha='".$fechaUtil."' AND nomina='".$nominaUtil."'  ";
	$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");
}

if ($accion==3 ) {
	//Busco el tipo de nÃ³mina de las utilidades guardadas

	$consultaNomina = "select nomina from utilidades where id='".$_SESSION['id_validar']."' and detalle='".$detalle."' ";
	$resultadoNom = mysqli_query($enlace,$consultaNomina) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$rowNom = mysqli_fetch_array($resultadoNom);
	if($rowNom['nomina']==100){

	$nominaUt = "Diaria";
	}
	else if ($rowNom['nomina']==200){
		$nominaUt = "Mensual";
	}
	
				//EnvÃ­a correo
			
		
		//Para el correo desde aqui parametros y varibles generales 
		require 'hcm_files/PHPMailer/src/Exception.php';
		require 'hcm_files/PHPMailer/src/PHPMailer.php';
		require 'hcm_files/PHPMailer/src/SMTP.php';
		
		$mail = new PHPMailer(true);
		 //Servidor de correo configuracion
			 //$mail->SMTPDebug = 2; //Enable verbose debug output
			 $mail->isSMTP(); // Set mailer to use SMTP
			 $mail->Host = 'ssl://www.saireh-nomina.com'; // Specify main and backup SMTP servers
			 $mail->SMTPAuth = true; // Enable SMTP authentication
			 $mail->Username = 'info@saireh-nomina.com'; // SMTP username
			 $mail->Password = 'c0n5ul74rh3'; // SMTP password
			 $mail->SMTPSecure = 'tls'; // Enable TLS encryption, [ICODE]ssl[/ICODE] also accepted
			 $mail->Port = 465; // TCP port to connect to
			 ///envio de correos hasta aqui
		
	if ($usuario == 'YSIRA' || $usuario == 'JSANCH32') {
	$queryAp = "update  utilidades set aprobacion_contab1='Aprobado' where id='".$_SESSION['id_validar']."' and detalle='".$detalle."'";
	$consultaAp = mysqli_query($enlace,$queryAp) or die ("no se pudo realizar la consulta...");
	
			//Enviar correo a Supervisor y RRHH
			
			//Recipients
			 $mail->setFrom('info@saireh-nomina.com', 'Saireh Nomina Ford');
			 //$mail->addAddress('GSAYAGO1@FORD.COM','Gustavo Sayago'); S epuede personalizar el nombre de ldestiantario
			 $mail->addAddress('JSANCH32@FORD.COM');///Una linea pro cada destinatario
			 $mail->addAddress('YSIRA@FORD.COM');
			 $mail->addAddress('MCALLES1@FORD.COM'); 			 
			 $mail->addAddress('GPROCOPI@FORD.COM'); 
			 $mail->addCC('NOMINA.FORD@SAIREH.COM');
			 //$mail->addCC('contrerasrgerardo@gmail.com');
		
			$asunto = 'Aprobacion de Utilidades de nomina: '.$nominaUt ;
			$mensaje = $nombre_usuario . ' ha APROBADO las utilidades  del periodo '.$detalle.' de la nomina '.$nominaUt.' en SAIREH, se requiere ahora de su revisión y aprobación de este proceso para confimar y completar su procesamiento.';

			// Content
			 $mail->isHTML(true); // Set email format to HTML
			 $mail->Subject = $asunto;
			 $mail->Body = $mensaje;
			 $mail->AltBody = $mensaje;
			
			$mail->send();
	}
	elseif ($usuario == 'MCALLES1' || $usuario == 'GPROCOPI') {
	$queryAp = "update  utilidades set aprobacion_contab2='Aprobado' where id='".$_SESSION['id_validar']."' and detalle='".$detalle."' AND aprobacion_contab1='Aprobado'";
	$consultaAp = mysqli_query($enlace,$queryAp) or die ("no se pudo realizar la consulta...");

				//EnvÃ­a correo
			//Recipients
			 $mail->setFrom('info@saireh-nomina.com', 'Saireh Nomina Ford');
			 //$mail->addAddress('GSAYAGO1@FORD.COM','Gustavo Sayago'); S epuede personalizar el nombre de ldestiantario
			 $mail->addAddress('JSANCH32@FORD.COM');///Una linea pro cada destinatario
			 $mail->addAddress('YSIRA@FORD.COM');
			 $mail->addAddress('MCALLES1@FORD.COM'); 			 
			 $mail->addAddress('GPROCOPI@FORD.COM'); 
			 $mail->addCC('NOMINA.FORD@SAIREH.COM');
			 //$mail->addCC('contrerasrgerardo@gmail.com');

			//Enviar correo a Supervisor y RRHH
			
			$asunto = 'Aprobacion de Utilidades de nomina: '.$nominaUt ;
			$mensaje = $nombre_usuario . ' ha APROBADO las utilidades  del periodo '.$detalle.' de la nomina ' .$nominaUt.' en SAIREH para su pago. El pago será realizado según la programación establecida.';
			
			// Content
			 $mail->isHTML(true); // Set email format to HTML
			 $mail->Subject = $asunto;
			 $mail->Body = $mensaje;
			 $mail->AltBody = $mensaje;
			
			$mail->send();

	}

		
    }




menu();



echo "<center><br><h2>Reportes de C&aacute;lculos de Utilidades Anuales</h2></center>";
$entra=0;

echo "
	<br><form name='entrada' action='".$_SERVER['PHP_SELF']."' method='POST' enctype='multipart/form-data'>
	<input type='hidden' name='usuario' value = '".$_SESSION['nombre_validar']."'>
	<input type='hidden' name='bandera' value = '1'>
	<table align='center'>";

			echo "<tr >";
				echo "<td align = 'righta' > Fecha del Pago: </td>";
				echo "<td align = 'left'>";
						$valor = date("dmY");
						escribe_formulario_fecha_modifica("fecha","entrada",$valor);
				echo "</td>";
			echo "</tr>";

			$query = "select * from nomina where id='".$_SESSION['id_validar']."' ";
			$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");
			$resultado = mysqli_num_rows($consulta);
			echo "<tr><td align = 'righta'> N&oacute;mina: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'nomina'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}
			echo "</select>";
			echo "</td></tr>";

			/*
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('GERENCIA') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Gerencia: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'gerencia'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			*/
			
			/*
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DIVISION') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Divisi&oacute;n: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'division'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			*/
			
			/*
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DEPARTAMENTO') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Departamento: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'departamento'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}
			echo "</select>";
			echo "</td>";

			echo "<tr >";
			*/
				echo "<td align = 'righta' > Fec/Ingreso Trabajador: </td>";
				echo "<td align = 'left'>";
						$valor = date("dmY");
						escribe_formulario_fecha_modifica("fecing","entrada",$valor);
				echo "</td>";
			echo "</tr>";

			echo "<tr><td align='righta'>Descripci&oacute;n:</td>";
			echo "<td align='left'><input style='width:300px;' name='detalle' size = '35' maxlength = '50' value='Periodo: 01-01-".(date("Y")." al 31-12-".date("Y"))."'></td></tr>";
			echo "<tr><td colspan='4' align='center'>";
			echo "<input name='ver' type='submit' class='boton' value='Generar y Guardar'>";
			echo "</td></tr>";
			echo "</table></form></font>";

if ($_POST['bandera']=='1') {
///////////////////////////////////////////////// cuando esta recibiendo datos  ////////////////////////////////////////////////////////////////

		$fecha = crear_fecha($_POST['fecha']);
		$query = "select * from utilidades where id='".$_SESSION['id_validar']."' and detalle='".$detalle."' and nomina='".substr($_POST['nomina'],0,3)."' ";
		$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");
		if (mysqli_num_rows($consulta)!=0) {
			$mensaje = "Detalle existe en Historico de Utilidades Guardadas...Verifique";
			echo "<center><font style='color:red; font-size:1em;' face='Verdana' ><b>".$mensaje."</b></font></center>";
			exit();
		}
		/////////////////////////////////////////////// imprimir PAYROLL
		$payroll="z_utilid_".trim($_SESSION['usuario_validar']).trim($_SESSION['id_validar']);
		$consulta=mysqli_query($enlace,"create table if not exists `".$payroll."` (
					   `cedula` varchar(8) NOT NULL,
					  `concepto` varchar(4) NOT NULL,
					  `desconcepto` varchar(50) NOT NULL,
					  `tipo` varchar(1) NOT NULL,
					  `monto` decimal(18,2) NOT NULL,
					  `saldo` decimal(18,2) NOT NULL,
					  `cantidad` decimal(18,2) NOT NULL,
					  `nomina` varchar(3) NOT NULL,
					  `desnomina` varchar(50) NOT NULL,
					  `departamento` varchar(6) NOT NULL,
					  `cargo` varchar(6) NOT NULL,
					  `turno` varchar(4) NOT NULL,
					  `periodo` varchar(3) NOT NULL,
					  `desperiodo` varchar(50) NOT NULL
					) ENGINE=MyISAM DEFAULT CHARSET=latin1;");
		$consulta=mysqli_query($enlace,"delete from `".$payroll."`");

		$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$duti=$row['duti'];
			$ince=$row['ince'];
			$gerencia=$row['gerencia'];
		}

		$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' order by periodo DESC limit 1");
		$nomina='';$periodo='';$desnomina='';$desperiodo='';$cortededu=0;$cortepdvsa=0;
		$nomina=substr($_POST['nomina'],0,3);
		$desnomina=substr($_POST['nomina'],6,50);
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$cortededu=($row['deduccion']=='2'?1:0);
			$periodo=$row['periodo'];
			$lunes=$row['lunes'];
			$desperiodo=$row['desde'].' al '.$row['hasta'];
		}

		$fing = crear_fecha($_POST['fecing']);
		$query="where id='".$_SESSION['id_validar']."' and (status<>'I') and fechai<='".$fing."' ";
		if ($_POST['nomina']!="") $query.=" and nomina='".substr($_POST['nomina'],0,3)."' ";
		if ($_POST['cedula']!="") $query.=" and codigo='".$_POST['cedula']."' ";
		if ($_POST['gerencia']!="") $query.=" and gerencia='".substr($_POST['gerencia'],0,4)."' ";
		if ($_POST['division']!="") $query.=" and division='".substr($_POST['division'],0,4)."' ";
		if ($_POST['departamento']!="") $query.=" and departamento='".substr($_POST['departamento'],0,4)."' ";
		$queryinicial="select * from personal ".$query." order by codigo";

		///////Se necesita hacer delete a [constante_individual] del concepto 8009 y el 8010 where id = id empresa para limpiar esos datos--Miguelangel
		$consulborrar = "Delete from constante_individual where id='".$_SESSION['id_validar']."' and codigo IN( '8110','8011','8016' ) ";
		$resultborrar = mysqli_query($enlace, $consulborrar); 

		$iniper= substr($detalle,9,10);
        $finper= substr($detalle,23,10);
        $fe_inipe=new DateTime($iniper);
		$fe_finpe=new DateTime($finper);
		
		$hoy = date("Y-m-d H:i:s");    
		$fe_hoy= new DateTime($hoy);
		
		if ($fe_hoy<$fe_finpe){
			   $fe_finpe=$fe_hoy;					
			}

        $mes_anterior = date('m', strtotime('-1 month')); 
		$a_actual = date("Y"); 
		$consulnuev=mysqli_query($enlace, "select codigo as cedula, nomina, fechai as fechaing from personal where id='".$_SESSION['id_validar']."' and status <> 'I' AND fechai <= '".$fing."'  and nomina='".substr($_POST['nomina'],0,3)."' "  );      
		while($rowcon=mysqli_fetch_array($consulnuev)) {
			$tcedula=$rowcon['cedula'];
			$fech_ing=$rowcon['fechaing'];
			$nomina = $rowcon['nomina'];
			$newfech_i = new DateTime($fech_ing);
			

			if ($newfech_i>$fe_inipe){
				
				$diferencia = $newfech_i->diff($fe_finpe);
				 //numero de meses entre las dos fechas
				 $varfe=$diferencia->m +1;
				
			}
			else {
				$diferencia = $fe_inipe->diff($fe_finpe);
				 //numero de meses entre las dos fechas
				$varfe=$diferencia->m +1;
			}
			//$anno = date("Y");
			/////Consulta en historico del total devengado por el periodo determinado e insercion en la tabla de constante individual del concepto 8011 --- Miguelangel
			$totaldev = 0 ;
			$consuldev="Select sum(monto) as total from historico where historico.id='".$_SESSION['id_validar']."' and cedula='".$tcedula."' AND historico.tipo='A' AND concepto IN('4044','4043') and cast(substr(desperiodo,20,2) as unsigned)>=$m_in and cast(substr(desperiodo,20,2) as unsigned)<=$m_fi and cast(substr(desperiodo,15,4) as unsigned)=$a_fi having sum(monto) > 0";
			$resultdev = mysqli_query($enlace, $consuldev) or die ("no se pudo realizar la consulta...".$consuldev.'='.mysqli_error($enlace)); 	

			//echo "La consulta: ".$consuldev ;
            
			
			if (mysqli_num_rows($resultdev)!=0) {
			   $rowdev=mysqli_fetch_array($resultdev);
			   $totaldev=$rowdev['total'];
			   //$nomin=$rowdev['nomin']; /// viene de [historico]
			   $nomin = $nomina ; /// viene de [personal]
			   //$codig='8011';
			   $codig= ($nomin == '200' ? '8011' : '8110') ;
            }
			
			
			/////Consulta en tabla vacaciones para traer lo cancelado de bono de  vacaciones y dias extras para posteriormente sumarlo al total devengado---Betsy
			
			$Y_utilid=substr($detalle,15,4);
			$m_ini_utilid=substr($detalle,12,2);
			$m_fin_utilid=substr($detalle,26,2);
			//print_r($Y_utilid);die();
		    $totalbovac=0; 
			//$consulbovac="Select valor_dbon as bovac, valor_dias_ext2 as diexbonovac from vacacion where id='".$_SESSION['id_validar']."' and cedula='".$tcedula."' AND substr(fdesde,1,4)='".$Y_utilid."' ";

			$consulbovac="Select SUM(reserva_utilidades) as reserva_utilidades from vacacion where  cedula='".$tcedula."' AND substr(fecha_pago,1,4)='".$Y_utilid."' AND substr(fecha_pago,6,2)>='".$m_ini_utilid."'  AND substr(fecha_pago,6,2)<='".$m_fin_utilid."' ";
			$resulbovac = mysqli_query($enlace, $consulbovac) or die ("no se pudo realizar la consulta...".$consulbovac.'='.mysqli_error($enlace)); 
           // $rowbovac=mysqli_fetch_array($resulbovac);
			//$totalbovac=$rowbovac['bovac']+$rowbovac['diexbonovac'];
			//echo "consulta para oswaldo". $consulbovac ;
			
			if (mysqli_num_rows($resulbovac)!=0) {
			   $rowbovac=mysqli_fetch_array($resulbovac);
			   $totalbovac=$rowbovac['reserva_utilidades'];
			  
            }
			   
			//print_r($totalbovac);die();
			$total_reserva_utilid = $totaldev+$totalbovac;
		    $totaldefdev= $total_reserva_utilid  / 0.33333333 ; 
			
			
			//print_r($totaldefdev);die();
	      
            $consuldev1  ="insert into constante_individual (id,codigo,cedula,nomina,monto) ";
			
			//con el devengado vacaciones
			$consuldev1 .="values ('".$_SESSION['id_validar']."','".$codig."','".$tcedula."','".$nomin."','".$totaldefdev."')";
			mysqli_query($enlace, $consuldev1) or die ($consuldev1.mysqli_error($enlace));	


			
			//// Busco lo pagado de utilidades en el ultimo pago anterior (mes anterior)
			//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
			$consulta_pagado_anterior="SELECT monto AS pagado_anter FROM utilidades WHERE cedula='".$tcedula."' AND concepto = '8015' AND substr(fecha,1,4)='".$Y_utilid."' ORDER BY fecha DESC LIMIT 1";
			$resul_pagado_anter = mysqli_query($enlace, $consulta_pagado_anterior) or die ("no se pudo realizar la consulta...".$consulta_pagado_anterior.'='.mysqli_error($enlace)); 

			if (mysqli_num_rows($resul_pagado_anter)!=0) {
				$rowPagadoAnt=mysqli_fetch_array($resul_pagado_anter);
				$PagadoAnt=$rowPagadoAnt['pagado_anter'];
				$nomin = $nomina ; /// viene de [personal]
				$codigus='8016';
			   
			 }
						   
			 $consulPagAnt  ="insert into constante_individual (id,codigo,cedula,nomina,monto) ";
			 $consulPagAnt .= "values ('".$_SESSION['id_validar']."','".$codigus."','".$tcedula."','".$nomin."','".$PagadoAnt."')";
			 mysqli_query($enlace, $consulPagAnt) or die ($consulPagAnt.mysqli_error($enlace));
				   		  
            /*
			////Consulta para traer el último salario devengado del último mes anterior
		   $consulus="Select sum(monto) as total from historico where historico.id='".$_SESSION['id_validar']."' and cedula='".$tcedula."' AND historico.tipo='A' AND substr(concepto,1,1)='1' and substr(desperiodo,6,2)='".$mes_anterior."' and substr(desperiodo,1,4)='".$a_actual."' ";		  
		   $resultus = mysqli_query($enlace, $consulus) or die ("no se pudo realizar la consulta...".$consulus.'='.mysqli_error($enlace));
		   
		   if (mysqli_num_rows($resultus)!=0) {
   		      $rowus=mysqli_fetch_array($resultus);  		
			  $totalus=$rowus['total'];  			   	
			   //$nomin=$rowus['nomin']; /// viene de [historico]
			   $nomin = $nomina ; /// viene de [personal]
			   $codigus='8000';
				}  	
			  $consulus1  ="insert into constante_individual (id,codigo,cedula,nomina,monto) ";  	
			  $consulus1 .="values ('".$_SESSION['id_validar']."','".$codigus."','".$tcedula."','".$nomin."','".$totalus."')";  				
			  mysqli_query($enlace, $consulus1) or die ($consulus1.mysqli_error($enlace));
							
		
			
			  if ($newfech_i>$fe_inipe){
				$diferencia = $newfech_i->diff($fe_finpe);
				$varfe=$diferencia->m +1;
							
			}
			
			////consulta para bsucar el promedio devengado en los meses activo para el corte de utilidades 
			///$consulprmen="Select sum(monto) as total from historico where historico.id='".$_SESSION['id_validar']."' and cedula='".$tcedula."' AND historico.tipo='A' AND substr(concepto,1,1)='1' and cast(substr(desperiodo,6,2) as unsigned)>=$m_in and cast(substr(desperiodo,20,2) as unsigned)<=$m_fi and cast(substr(desperiodo,1,4) as unsigned)=$a_fi ";
			$consulprmen="Select sum(sueldo) as total from personal_sueldo where personal_sueldo.id='".$_SESSION['id_validar']."' and codigo='".$tcedula."'   and cast(substr(fec,6,2) as unsigned)>=$m_in and cast(substr(fec,6,2) as unsigned)<=$m_fi and cast(substr(fec,1,4) as unsigned)=$a_fi ";
		    $resultprmen = mysqli_query($enlace, $consulprmen) or die ("no se pudo realizar la consulta...".$consulprmen.'='.mysqli_error($enlace));
			if (mysqli_num_rows($resultprmen)!=0) {  	
   		        $rowprmen=mysqli_fetch_array($resultprmen);  		
			    //$totalprmen=$rowprmen['total']/$varfe; //sin considerar el bono
				$varfe = ($varfe <= 0 ? 1 : $varfe); /// consider los casos que tienen menos de un mes de ingreso
				$totalprmen=($rowprmen['total']+$totalbovac)/$varfe; //considerando el bono
				$totalprmen = ($totalprmen > '130' ? $totalprmen : '130');
			    //$nomin=$rowprmen['nomin']; /// viene de [historico]
				$nomin = $nomina ; /// viene de [personal]
				$codigprmen='8002';
				} 


            

				
		    $consulprmen1  ="insert into constante_individual (id,codigo,cedula,nomina,monto) ";  	
			$consulprmen1 .="values ('".$_SESSION['id_validar']."','".$codigprmen."','".$tcedula."','".$nomin."','".$totalprmen."')";  				
			mysqli_query($enlace,$consulprmen1) or die ($consulprmen1.mysqli_error($enlace));
			*/
		}							

		//========================================================//
		//========================================================//
		//========================================================//
		$_POST['tipoproceso']=2;
		include("proceso_formula.php");
		//========================================================//
		//========================================================//
		//========================================================//

		/////////////////////////////////////////////// filtros de eliminacion INDIVIDUAL
		$query="select * from concepto_empleado where id='".$_SESSION['id_validar']."' ";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		while ($rowemp=mysqli_fetch_array($qempleado)) {
			$query="delete from $payroll where cedula='".$rowemp['cedula']."' and concepto = '".$rowemp['codigo']."'";
			$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
		} // fin ciclo de concepto individual

		/////////////////////////////////////////////// filtros de eliminacion NOMINA
		$query="select * from concepto_nomina where id='".$_SESSION['id_validar']."' ";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		while ($rowemp=mysqli_fetch_array($qempleado)) {
			$query="delete from $payroll where nomina='".$rowemp['nomina']."' and concepto = '".$rowemp['codigo']."'";
			$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
		} // fin ciclo de concepto nomina

		/////////////////////////////////////////////// filtros de eliminacion PERIODO
		$query="select * from concepto_periodo where id='".$_SESSION['id_validar']."' ";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		while ($rowemp=mysqli_fetch_array($qempleado)) {
			$query="delete from $payroll where periodo='".$rowemp['periodo']."' and concepto = '".$rowemp['codigo']."'";
			$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
		} // fin ciclo de concepto periodo

		/////////////////////////////////////////////// filtros de eliminacion POR MONTO = 0
		$query="delete from $payroll where monto=0";
		$qempleado = mysqli_query($enlace,$query) or die ($query);

		/////////////////////////////////////////////// filtros de eliminacion de PASANTES
		$query="delete from $payroll where cargo=000005 ";
		$qempleado = mysqli_query($enlace,$query) or die ($query);

		/////////////////////////////////////////////// filtros de eliminacion POR CONDICION
		$qpersonal = mysqli_query($enlace,$queryinicial) or die ($queryinicial.':>'.mysqli_error($enlace));
		while ($rowp = mysqli_fetch_array($qpersonal)) {
			$query="select * from concepto_condicion where id='".$_SESSION['id_validar']."' order by codigo";
			$qcondicion = mysqli_query($enlace,$query) or die ($query);
			while ($rowcondicion=mysqli_fetch_array($qcondicion)) {
				if (substr($rowcondicion['valor1'],0,1)=='C') {
					$query="select * from $payroll where cedula='".$rowp['codigo']."' and concepto = '".substr($rowcondicion['valor1'],1,4)."'";
					$qvalor = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
					$nvalor = mysqli_num_rows($qvalor);
					if ($nvalor==0) $monto1=0;
					else {
							$rowvalor=mysqli_fetch_array($qvalor);
							$monto1=$rowvalor['monto'];
					}
				} else $monto1 = $rowcondicion['valor1']+0;
				if (substr($rowcondicion['valor2'],0,1)=='C') {
					$query="select * from $payroll where cedula='".$rowp['codigo']."' and concepto = '".substr($rowcondicion['valor2'],1,4)."'";
					$qvalor = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
					$nvalor = mysqli_num_rows($qvalor);
					if ($nvalor==0) $monto2=0;
					else {
							$rowvalor=mysqli_fetch_array($qvalor);
							$monto2=$rowvalor['monto'];
					}
				} else $monto2 = $rowcondicion['valor2']+0;
				$elimina=0;

				//if (trim($rowcondicion['codigo'])=='C8000' || trim($rowcondicion['codigo'])=='C8001') {
				//	echo $monto1."-->".$monto2;
				//}

				if ($rowcondicion['condicion']=='=') $elimina=($monto1==$monto2)?1:0;
				if ($rowcondicion['condicion']=='<') $elimina=($monto1<$monto2)?1:0;
				if ($rowcondicion['condicion']=='>') $elimina=($monto1>$monto2)?1:0;
				if ($rowcondicion['condicion']=='>=') $elimina=($monto1>=$monto2)?1:0;
				if ($rowcondicion['condicion']=='<=') $elimina=($monto1<=$monto2)?1:0;
				if ($rowcondicion['condicion']=='<>') $elimina=($monto1!=$monto2)?1:0;
				if ($elimina == 1) {
					$query="delete from $payroll where cedula='".$rowp['codigo']."' and concepto = '".$rowcondicion['codigo']."'";
					$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
				}
				} // fin ciclo de concepto condicion
		}
		/////////////////////////////////////////////// filtros de eliminacion POR SOLO UTILIDADES
		$query="select codigo,acumula from concepto where id='".$_SESSION['id_validar']."'  ";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		while ($rowemp=mysqli_fetch_array($qempleado)) {
			if (trim($rowemp['acumula'])=='NO') {
				$query="delete from $payroll where concepto = '".$rowemp['codigo']."'";
				$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
			}
		} // fin ciclo de concepto periodo


		$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' order by periodo DESC limit 1");
		$nomina='';$periodo='';$desnomina='';$desperiodo='';
		$nomina=substr($_POST['nomina'],0,3);
		$desnomina=substr($_POST['nomina'],6,50);
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$periodo=$row['periodo'];
			$_POST['cierre']=$row['pre'];
			$desperiodo=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta']);
		}
		/////////////////////////////////////////////// filtros de eliminacion POR TIPOR DE CONCEPTO = REPORTE
		//$query="delete from $payroll where tipo='R'";
		//$qempleado = mysqli_query($enlace,$query) or die ($query);
		$_POST['cierre']==1;

		/////////////////////////////////////////////// imprimir PAYROLL
		$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$_POST['empresal']=$row['nombre'];
			$_POST['ince']=$row['ince'];
			$_POST['pie']=$row['pie'];
			$_POST['derecho']=$row['derecho'];
			$_POST['encabeza']=$row['encabeza'];
			$duti=$row['duti'];
			$_POST['empresa']=substr($_POST['nomina'],6,100);
		}
		$_POST['periodo']=$periodo.' - '.$desperiodo;

		//======================================================================== grabar
		//======================================================================== grabar
		//======================================================================== grabar
		$consulta=mysqli_query($enlace,"select * from $payroll order by cedula"  );
		while($row=mysqli_fetch_array($consulta)) {
			$tcedula=$row['cedula'];
			$tdep=''; $tdiv=''; $tger='';
			$consul1=mysqli_query($enlace,"select nombres,apellidos,sso,gerencia,departamento,division from personal where id='".$_SESSION['id_validar']."' and codigo=".$tcedula );
			if (mysqli_num_rows($consul1)<>0) {
				$row1=mysqli_fetch_array($consul1);
				$tdep=$row1['departamento'];
				$tdiv=$row1['division'];
				$tger=$row1['gerencia'];
			}
			$consul1  ="insert into utilidades (id, cedula,fecha,detalle,nomina, departamento,gerencia,division,tipo,concepto,desconcepto,cantidad,monto) ";
			$consul1 .="values ('".$_SESSION['id_validar']."','".$tcedula."','".$fecha."','".$_POST['detalle']."','".$row['nomina']."',

			'".$tdep."','".$tger."','".$tdiv."','".$row['tipo']."','".$row['concepto']."','".$row['desconcepto']."','".$row['cantidad']."','".$row['monto']."')";
			mysqli_query($enlace,$consul1) or die ($consul1.mysqli_error($enlace));
		}
		$mensaje = "Cierre Efectuado...";

} // fin de ingreso

		//echo "<h3><font color='red'><center> Atenci�n!!!</center></font></h3>";
		//echo "<h4><center> El orden de los procesos de Utilidades en este informe ha cambiado, los encontr� desde el mas reciente al mas antiguo y separado por tipo de n�mina.</center></h4>";

/////vamos a separar este informe en vista por tipo de nÃ³mina -- Miguelangel 09/02/2023

////// Inicia para nÃ³mina Diaria
$consulta="select distinct fecha, aprobacion_contab1, aprobacion_contab2, detalle, nomina from utilidades where id='".$_SESSION['id_validar']."' AND nomina = 100 order by fecha DESC";
$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
$num_rows = mysqli_num_rows($resultado);
if ($num_rows != 0){
		$total=0;$linea=0;
		
		echo "<br><table border=1 cellpadding=2 cellspacing=0 align='center'>";
		
		echo "<tr align='center' bgcolor='#7DBE2C'>";
		echo "<th  colspan=10 ali = center><font face='verdana' size=2> NOMINA DIARIA (nom:100)</font></th>";
		echo "</tr>";
		
		echo "<tr class='encabezadoTabla'>";
		echo "<th ali = center><font face='verdana' size=2> #</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Fecha de Pago</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Nómina</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Detalle</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Aprobado Contab 1</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Aprobado Contab 2</font></th>";

		echo "<th colspan=4 ali = center><font face='verdana' size=2> Acción </font></th></tr>";
			for ($cont=0;$cont<$num_rows;$cont++) {
				$linea++;
				$color=!$color;
				if ($color) {
					$tcolor = "#CFE7DE";
				}else {
					$tcolor = "white";
					}
				echo '<tr bgcolor=' . $tcolor . ' >';
				$row = mysqli_fetch_array($resultado);
				echo "<td width='50'>".$linea."</td>";
				echo "<td width='100'>".mostrar_fecha($row['fecha'])."</td>";


				if ($row['nomina']==100)
				{
				$nominaUt='Diaria';
				}
				elseif ($row['nomina']==200){
				$nominaUt='Mensual';
				}

				echo "<td width='20'>".$nominaUt."</td>";
				echo "<td width='350'>".$row['detalle']."</td>";


				if ($row['aprobacion_contab1']=='Aprobado')
				{
					echo "<td width='20' align='center'><img src=img2/status_ver.png></td>";
					} else  echo "<td></td>";

				if ($row['aprobacion_contab2']=='Aprobado')
				{
					echo "<td width='20' align='center'><img src=img2/status_ver.png></td>";
					} else  echo "<td></td>";

				if (substr($_SESSION['acceso_validar'],18,1)=='1')
				echo "<td width='30' align='center'><a onclick='return validar_elimina()' href='".$_SERVER['PHP_SELF']."?accion=2&detalle=".$row['detalle']."&nomina=".$row['nomina']."&fecha=".$row['fecha']."'><img  border = 0  src='img2/borrar.png' alt='eliminar este registro' title='Eliminar este registro' ></a></td>";
				else echo "<td width='30' align='center'>&nbsp;</td>";

				echo "<td width='30' align='center'><a target='_blank' href='calculo_utilidades_imprimir_resumen.php?pago=".$row['fecha']."&detalle=".$row['detalle']."'><img border = 0 src='img2/reporte_resumen.png' alt='Imprimir este registro' title='Imprimir Reporte General Resumen'></a></td>";

				echo "<td width='30' align='center'><a target='_blank' href='calculo_utilidades_imprimir_recibo.php?pago=".$row['fecha']."&detalle=".$row['detalle']."'><img border = 0 src='img2/recibo_pago_trabajador.png' alt='Imprimir este registro' title='Imprimir Recibos x Trabajador'></a></td>";


				if ($row['aprobacion_contab2']!='Aprobado' && ($_SESSION['usuario_validar'] == 'YSIRA' || $_SESSION['usuario_validar'] == 'JSANCH32' || $_SESSION['usuario_validar'] == 'MCALLES1' || $_SESSION['usuario_validar'] == 'GPROCOPI' ))
				{
				//echo "<td width='30' align='center'><a onclick='return validar_aprueba()' href='".$_SERVER['PHP_SELF']."?accion=3&detalle=".$row['detalle']."'><font color=blue><b>Aprobar</b></font></font></a></td>";
				echo "<td width='30' align='center'>
				<a class='btn-aprobar'
					onclick='return validar_aprueba()'
					href='".$_SERVER['PHP_SELF']."?accion=3&detalle=".$row['detalle']."'>
					Aprobar
				</a>
				</td>";

				}else echo "<td></td>";


				echo '</tr>';
			}
		echo '</tr></table></form>';


}

//////////Fin de nomina diaria

////////////Inicia nomina Mensual
$consulta="select distinct fecha, aprobacion_contab1, aprobacion_contab2, detalle, nomina from utilidades where id='".$_SESSION['id_validar']."' AND nomina = 200 order by fecha DESC";
$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
$num_rows = mysqli_num_rows($resultado);
if ($num_rows != 0){
		$total=0;$linea=0;
		echo "<br><table border=1 cellpadding=2 cellspacing=0 align='center'>";

		echo "<tr align='center' bgcolor='#7DBE2C'>";
		echo "<th  colspan=10 ali = center><font face='verdana' size=2> NOMINA MENSUAL (nom:200)</font></th>";
		echo "</tr>";

		echo "<tr class='encabezadoTabla'>";
		echo "<th ali = center><font face='verdana' size=2> #</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Fecha de Pago</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Nómina</font></th>";

		echo "<th ali = center><font face='verdana' size=2> Detalle</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Aprobado Contab 1</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Aprobado Contab 2</font></th>";

		echo "<th colspan=4 ali = center><font face='verdana' size=2> Acción </font></th></tr>";
			for ($cont=0;$cont<$num_rows;$cont++) {
				$linea++;
				$color=!$color;
				if ($color) {
					$tcolor = "#CFE7DE";
				}else {
					$tcolor = "white";
					}
				echo '<tr bgcolor=' . $tcolor . ' >';
				$row = mysqli_fetch_array($resultado);
				echo "<td width='50'>".$linea."</td>";
				echo "<td width='100'>".mostrar_fecha($row['fecha'])."</td>";


				if ($row['nomina']==100)
				{
				$nominaUt='Diaria';
				}
				elseif ($row['nomina']==200){
				$nominaUt='Mensual';
				}

				echo "<td width='20'>".$nominaUt."</td>";
				echo "<td width='350'>".$row['detalle']."</td>";


				if ($row['aprobacion_contab1']=='Aprobado')
				{
					echo "<td width='20' align='center'><img src=img2/status_ver.png></td>";
					} else  echo "<td></td>";

				if ($row['aprobacion_contab2']=='Aprobado')
				{
					echo "<td width='20' align='center'><img src=img2/status_ver.png></td>";
					} else  echo "<td></td>";

				if (substr($_SESSION['acceso_validar'],18,1)=='1')
				echo "<td width='30' align='center'><a onclick='return validar_elimina()' href='".$_SERVER['PHP_SELF']."?accion=2&detalle=".$row['detalle']."&nomina=".$row['nomina']."&fecha=".$row['fecha']."'><img  border = 0  src='img2/borrar.png' alt='eliminar este registro' title='Eliminar este registro' ></a></td>";
				else echo "<td width='30' align='center'>&nbsp;</td>";

				echo "<td width='30' align='center'><a target='_blank' href='calculo_utilidades_imprimir_resumen.php?pago=".$row['fecha']."&detalle=".$row['detalle']."'><img border = 0 src='img2/reporte_resumen.png' alt='Imprimir este registro' title='Imprimir Reporte General Resumen'></a></td>";

				echo "<td width='30' align='center'><a target='_blank' href='calculo_utilidades_imprimir_recibo.php?pago=".$row['fecha']."&detalle=".$row['detalle']."'><img border = 0 src='img2/recibo_pago_trabajador.png' alt='Imprimir este registro' title='Imprimir Recibos x Trabajador'></a></td>";


				if ($row['aprobacion_contab2']!='Aprobado' && ($_SESSION['usuario_validar'] == 'YSIRA' || $_SESSION['usuario_validar'] == 'JSANCH32' || $_SESSION['usuario_validar'] == 'MCALLES1' || $_SESSION['usuario_validar'] == 'GPROCOPI' ))
				{
				echo "<td width='30' align='center'>
				<a class='btn-aprobar'
					onclick='return validar_aprueba()'
					href='".$_SERVER['PHP_SELF']."?accion=3&detalle=".$row['detalle']."'>
					Aprobar
				</a>
				</td>";
				}else echo "<td></td>";


				echo '</tr>';
			}
		echo '</tr></table></form>';


}

//////////Fin nomina mensual
mysqli_free_result($resultado);

?>
<style>
	/*Encabezado tablas */
	.encabezadoTabla {
    background: #43bced;
    height: 35px;
	}

	.encabezadoTabla th {
		padding: 8px 12px;
		text-align: left;
		color: white;
		font-weight: bold;
		font-size: 14px;
		letter-spacing: 0.5px;
		border-bottom: 2px solid #2fa3c9;
	}

	.encabezadoTabla th:nth-child(1),
	.encabezadoTabla th:nth-child(2),
	.encabezadoTabla th:nth-child(3),
	.encabezadoTabla th:nth-child(4),
	.encabezadoTabla th:nth-child(5),
	.encabezadoTabla th:nth-child(6),
	.encabezadoTabla th:nth-child(7) {
		text-align: center;
	}
	/*hasta aquí Encabezado tablas */


	.numeroFila {
		color: black;
		font-weight: bold;
	}

	.boton {
		border-radius: 8px;      /* Bordes redondeados */
		padding: 8px 16px;       /* Más espacio interno */
		border: none;            /* Quita el borde feo por defecto */
		cursor: pointer;         /* Mano al pasar */
		transition: 0.2s ease;   /* Animación suave */
	}

	.boton:hover {
	transform: scale(1.03);  /* Efecto sutil al pasar el mouse */
	}

	.btn-aprobar{
	display:inline-block;
	padding:4px 10px;
	background:#0d6efd;
	color:#fff;
	text-decoration:none;
	border-radius:4px;
	font-weight:600;
	font-family:inherit;
	font-size:12px;
	}
	.btn-aprobar:hover{ background:#0b5ed7; }

</style>